Subject: bug#42474: closed (Re: [PATCH v3 2/2] gnu: Add hunspell-dict-de.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 Oct 2020 09:22:02 +0000

Your bug report

#42474: [PATCH 0/3] WIP: Add hunspell-dict-de.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42474: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42474
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v3 2/2] gnu: Add hunspell-dict-de.
From: Efraim Flashner <[email-masked]>
To: Jonathan Brielmaier <[email-masked]>
Cc: Jakub Kądziołka <[email-masked]>, [email-masked]
Date: Sun, 18 Oct 2020 12:20:43 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Oct 15, 2020 at 10:07:30PM +0200, Jonathan Brielmaier wrote:
> Another friendly ping. I'm using the patch for almost three months now
> and other German users should also profit from our work :)

Indeed. Patch pushed with minor tweaks.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 0/3] WIP: Add hunspell-dict-de.
From: Jonathan Brielmaier <[email-masked]>
To: [email-masked]
Cc: Jonathan Brielmaier <[email-masked]>
Date: Wed, 22 Jul 2020 14:26:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi folks,

as I'm missing spell checker in Icecat and Libreoffice (Icedove let you install one), I tried to package
hunspell-dict-de.

It's more engaged then I thought before :P I added byacc as an yacc implementation required
by ispell. That part is working, so not WIP.

ispell
======
It's Makefiles are a bit ugly so you need to patch them somehow.
At the current state the binaries are looking at the wrong place for the "/lib/ispell/*.hash" files.
So I guess that is where
```
ice-9/boot-9.scm:1669:16: In procedure raise-exception:
In procedure open-file: No such file or directory: "/gnu/store/smvi9sk3s3xvn0xx6az0hvzl6mhy7zyn-ispell-3.4.00/lib/ispell/english.hash"
```
comes from.
```
$ /gnu/store/smvi9sk3s3xvn0xx6az0hvzl6mhy7zyn-ispell-3.4.00/bin/ispell
Can't open /lib/ispell/english.hash
```
Do I need to wrap this somehow?

hunspell-dict-de
================
It's blocked by ispell. It only requires buildhash which seems to be working.

In general wouldn't it make sense to rename aspell.scm to spell.scm and move the hunspell* stuff from
libreoffice.scm there?

Jonathan Brielmaier (3):
  gnu: Add byacc.
  WIP: gnu: Add ispell.
  WIP: gnu: Add hunspell-dict-de.

 gnu/packages/aspell.scm      | 45 ++++++++++++++++++++++++++++++++++++
 gnu/packages/c.scm           | 20 ++++++++++++++++
 gnu/packages/libreoffice.scm | 28 +++++++++++++++++++++-
 3 files changed, 92 insertions(+), 1 deletion(-)

--
2.27.0